<?php
/**
 * 邮件內容
 */
class_exists('Typecho_Widget') or die('This file can not be loaded directly.');

$prv_author   = $parent['author'];      // 被回复者
$prv_text     = nl2br($parent['text']); // 被回复內容
$post_title   = $comment->title;        // 文章标题
$reply_author = $comment->author;       // 回复者
$reply_text   = nl2br($comment->text);  // 回复內容
$permalink    = $comment->permalink;    // 新评论鏈接
$home_url     = $options->siteUrl;      // 博客鏈接
$blogname     = $options->title;        // 博客名称

// 邮件排版在下面, 请自行修改:
$border = 'border-radius:5px';
$message = "
<div style='background-color:#eef2fa; border:1px solid #d8e3e8; color:#111; padding:0 15px; -moz-$border; -webkit-$border; -khtml-$border; $border;'>
  <p>" . $prv_author . ", 您好!</p>
  <p>您曾在《" . $post_title . "》的留言:<br/>"
   . $prv_text . "</p>
  <p>" . $reply_author . " 给您的回复:<br/>"
   . $reply_text . "<br/></p>
  <p>您可以点击 <a href='" . $permalink . "'>查看回复完整内容</a></p>
  <p>欢迎再度光临 <a href='" . $home_url . "'>" . $blogname . "</a></p>
  <p>(此邮件由系统自动发出, 请勿回复.)</p>
</div>";

// 标题及发件信息,这里需要按照自己的实际情况修改，如果有不明白的地方可以到www.taiku.net和我交流
$subject = '您在 ['. $blogname .'] 的评论有了回复';
$fromname = '=?UTF-8?B?'. base64_encode($blogname) .'?=';
$from = 'XXX@XXX.com';  //修改成你自己的邮箱
$smtp_host     = 'smtp.XXX.com'; // SMTP 服務器.
$smtp_port     = 25;              // SMTP 服務器端口, 一般为 25, gmail 为 465.
$smtp_username = 'XXX@XXX.com'; // 用戶名, 一般为邮箱名.
$smtp_password = 'XXX';     // 登入密码.
